[alsa-devel] snd_pcm_hw_params_get_period_size points to __old_ symbol

Alan Horstmann gineera at aspect135.co.uk
Mon Feb 23 13:30:12 CET 2009

On Monday 23 February 2009 11:32, you wrote:
> On Mon, Feb 23, 2009 at 11:52:39AM +0000, Alan Horstmann wrote:
> >
> > Looking back to my posting on devel list dated 12.08.08, one problem was:
> >
> > "We are currently using the Buildroot system which uses the uClibc
> > libraries.   Simply, uClibc does not support versioned symbols.
> >  Therefore it is necessary to override the ALSA-lib default by adding
> >         --with-versioned=no
> >  to the build.  Aplay, Alsamixer etc run without problems.
> Yes, as discussed on the buildroot mailing list in the last few hours,
> this is what makes it work for me, too. There will be a fix for buildroot
> to make it add this configure option.

It's frustrating, as my collegue pointed that out on that list in July 08:



More information about the Alsa-devel mailing list